// 基于 @CONTROL/多编辑视图面板/CONTROL.scss.ftl 生成
<#ibizinclude>
../@MACRO/CSS/DEFAULT.scss.ftl
</#ibizinclude>
.app-multieditviewpanel {
    height: 100%;
    min-height: 56px;
    display: flex;
    flex-direction: column;
    position: relative;

    .app-multieditviewpanel-add {
        position: absolute;
        z-index: 1;
        top: 20px;
        right: 20px;
        &.app-multieditviewpanel-add--existdata {
            right: 60px;
        }
    }

    .app-multieditviewpanel-item {
        margin: 10px 0;

        .multieditviewpanel-item__caption {
            padding-left: 20px;
        }

        .collapse-icon {
            font-size: 20px;
            margin-right: 20px;
            cursor: pointer;
        }

        >.ivu-card-extra {
            right: 20px;
            top: 10px;

            .multieditviewpanel-action {
                display: flex;
                height: 34px;
                align-items: center;

                .remove-icon {
                    font-size: 20px;
                    margin-left: 20px;
                    cursor: pointer;
                }
            }
        }

        >.ivu-card-body {
            padding: 20px 5px 10px 5px;

            >.viewcontainer2 {
                padding: 0px !important;
            }
        }

        &.app-multieditviewpanel-item--collapse {
            >.ivu-card-head {
                color: var(--app-color-gray-200);
                border-bottom: none;
            }

            >.ivu-card-body {
                display: none;
            }
        }
    }
}